Bug 204907 - Disable WebSQL everywhere by default except in tests
Summary: Disable WebSQL everywhere by default except in tests
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: New Bugs (show other bugs)
Version: WebKit Nightly Build
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Sihui Liu
URL:
Keywords: InRadar
Depends on: 210889 211896
Blocks:
  Show dependency treegraph
 
Reported: 2019-12-05 13:15 PST by Sihui Liu
Modified: 2021-04-02 22:12 PDT (History)
6 users (show)

See Also:


Attachments
Patch (1.35 KB, patch)
2019-12-05 13:16 PST, Sihui Liu
no flags Details | Formatted Diff | Diff
Patch (4.59 KB, patch)
2019-12-05 14:40 PST, Sihui Liu
no flags Details | Formatted Diff | Diff
Patch (5.73 KB, patch)
2019-12-06 09:06 PST, Sihui Liu
no flags Details | Formatted Diff | Diff
Patch (7.50 KB, patch)
2019-12-09 13:53 PST, Sihui Liu
no flags Details | Formatted Diff | Diff
Patch (7.08 KB, patch)
2019-12-09 13:54 PST, Sihui Liu
no flags Details | Formatted Diff | Diff
Patch (13.00 KB, patch)
2019-12-20 14:16 PST, Sihui Liu
no flags Details | Formatted Diff | Diff
Patch (12.53 KB, patch)
2019-12-20 14:17 PST, Sihui Liu
no flags Details | Formatted Diff | Diff
Patch (12.24 KB, patch)
2019-12-20 15:21 PST, Sihui Liu
no flags Details | Formatted Diff | Diff
Patch (12.19 KB, patch)
2019-12-20 15:22 PST, Sihui Liu
no flags Details | Formatted Diff | Diff
Patch (12.19 KB, patch)
2019-12-20 17:04 PST, Sihui Liu
no flags Details | Formatted Diff | Diff
Patch (12.27 KB, patch)
2019-12-23 13:48 PST, Sihui Liu
no flags Details | Formatted Diff | Diff
Patch (12.27 KB, patch)
2019-12-23 14:16 PST, Sihui Liu
no flags Details | Formatted Diff | Diff
Patch (12.72 KB, patch)
2019-12-23 14:52 PST, Sihui Liu
no flags Details | Formatted Diff | Diff
Patch (13.46 KB, patch)
2020-01-02 09:40 PST, Sihui Liu
no flags Details | Formatted Diff | Diff
Patch (13.85 KB, patch)
2020-01-17 16:40 PST, Sihui Liu
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Sihui Liu 2019-12-05 13:15:06 PST
We've disabled WebSQL in WK2 for a while. We need to turn off it everywhere.
Comment 1 Sihui Liu 2019-12-05 13:16:34 PST
Created attachment 384938 [details]
Patch
Comment 2 Sihui Liu 2019-12-05 14:40:11 PST
Created attachment 384957 [details]
Patch
Comment 3 youenn fablet 2019-12-06 07:21:04 PST
Comment on attachment 384957 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=384957&action=review

> Source/WebKitLegacy/mac/ChangeLog:3
> +        Disable WebSQL everywhere by default except in tests

Should we change RuntimeEnableFeatures::m_webSQLEnabled to false?
Comment 4 Sihui Liu 2019-12-06 08:59:27 PST
Comment on attachment 384957 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=384957&action=review

>> Source/WebKitLegacy/mac/ChangeLog:3
>> +        Disable WebSQL everywhere by default except in tests
> 
> Should we change RuntimeEnableFeatures::m_webSQLEnabled to false?

Right...forgot to add that after testing! Thanks!
Comment 5 Sihui Liu 2019-12-06 09:06:10 PST
Created attachment 385020 [details]
Patch
Comment 6 Sihui Liu 2019-12-09 13:53:35 PST
Created attachment 385185 [details]
Patch
Comment 7 Sihui Liu 2019-12-09 13:54:29 PST
Created attachment 385186 [details]
Patch
Comment 8 Geoffrey Garen 2019-12-19 13:29:53 PST
Comment on attachment 385186 [details]
Patch

r=me

Make sure to update the expected test results on Windows before committing.
Comment 9 Sihui Liu 2019-12-20 14:16:03 PST
Created attachment 386251 [details]
Patch
Comment 10 Sihui Liu 2019-12-20 14:17:26 PST
Created attachment 386253 [details]
Patch
Comment 11 Sihui Liu 2019-12-20 15:21:15 PST
Created attachment 386267 [details]
Patch
Comment 12 Sihui Liu 2019-12-20 15:22:08 PST
Created attachment 386268 [details]
Patch
Comment 13 Sihui Liu 2019-12-20 17:04:24 PST
Created attachment 386280 [details]
Patch
Comment 14 Sihui Liu 2019-12-23 13:48:38 PST
Created attachment 386353 [details]
Patch
Comment 15 Sihui Liu 2019-12-23 14:16:31 PST
Created attachment 386354 [details]
Patch
Comment 16 Sihui Liu 2019-12-23 14:52:15 PST
Created attachment 386359 [details]
Patch
Comment 17 Sihui Liu 2020-01-02 09:40:52 PST
Created attachment 386607 [details]
Patch
Comment 18 Ryosuke Niwa 2020-01-17 15:17:46 PST
Comment on attachment 386607 [details]
Patch

r=me. Let's watch out for Windows builds when we land this as we talked in person.
Comment 19 WebKit Commit Bot 2020-01-17 15:35:30 PST
Comment on attachment 386607 [details]
Patch

Rejecting attachment 386607 [details] from commit-queue.

Failed to run "['/Volumes/Data/EWS/WebKit/Tools/Scripts/webkit-patch', '--status-host=webkit-queues.webkit.org', '--bot-id=webkit-cq-02', 'apply-attachment', '--no-update', '--non-interactive', 386607, '--port=mac']" exit_code: 2 cwd: /Volumes/Data/EWS/WebKit

Logging in as commit-queue@webkit.org...
Fetching: https://bugs.webkit.org/attachment.cgi?id=386607&action=edit
Fetching: https://bugs.webkit.org/show_bug.cgi?id=204907&ctype=xml&excludefield=attachmentdata
Processing 1 patch from 1 bug.
Processing patch 386607 from bug 204907.
Fetching: https://bugs.webkit.org/attachment.cgi?id=386607
Failed to run "[u'/Volumes/Data/EWS/WebKit/Tools/Scripts/svn-apply', '--force', '--reviewer', u'Ryosuke Niwa']" exit_code: 1 cwd: /Volumes/Data/EWS/WebKit

Parsed 17 diffs from patch file(s).
patching file Source/WebCore/ChangeLog
Hunk #1 succeeded at 1 with fuzz 3.
patching file Source/WebKitLegacy/mac/ChangeLog
Hunk #1 succeeded at 1 with fuzz 3.
patching file Source/WebKitLegacy/win/ChangeLog
Hunk #1 succeeded at 1 with fuzz 3.
patching file Source/WebCore/page/RuntimeEnabledFeatures.h
Hunk #1 succeeded at 447 (offset 5 lines).
patching file Source/WebKitLegacy/mac/WebView/WebPreferenceKeysPrivate.h
Hunk #1 FAILED at 205.
1 out of 1 hunk FAILED -- saving rejects to file Source/WebKitLegacy/mac/WebView/WebPreferenceKeysPrivate.h.rej
patching file Source/WebKitLegacy/mac/WebView/WebPreferences.mm
Hunk #1 FAILED at 707.
Hunk #2 succeeded at 3636 with fuzz 1 (offset 22 lines).
1 out of 2 hunks FAILED -- saving rejects to file Source/WebKitLegacy/mac/WebView/WebPreferences.mm.rej
patching file Source/WebKitLegacy/mac/WebView/WebPreferencesPrivate.h
Hunk #1 succeeded at 636 (offset 3 lines).
patching file Source/WebKitLegacy/mac/WebView/WebView.mm
Hunk #1 succeeded at 3207 with fuzz 2 (offset 5 lines).
patching file Source/WebKitLegacy/win/Interfaces/IWebPreferencesPrivate.idl
Hunk #1 FAILED at 250.
1 out of 1 hunk FAILED -- saving rejects to file Source/WebKitLegacy/win/Interfaces/IWebPreferencesPrivate.idl.rej
patching file Source/WebKitLegacy/win/WebPreferenceKeysPrivate.h
Hunk #1 FAILED at 217.
1 out of 1 hunk FAILED -- saving rejects to file Source/WebKitLegacy/win/WebPreferenceKeysPrivate.h.rej
patching file Source/WebKitLegacy/win/WebPreferences.cpp
Hunk #1 succeeded at 347 with fuzz 2 (offset 2 lines).
Hunk #2 succeeded at 2420 with fuzz 1 (offset 16 lines).
patching file Source/WebKitLegacy/win/WebPreferences.h
Hunk #1 FAILED at 295.
1 out of 1 hunk FAILED -- saving rejects to file Source/WebKitLegacy/win/WebPreferences.h.rej
patching file Source/WebKitLegacy/win/WebView.cpp
Hunk #1 succeeded at 5310 (offset 2 lines).
patching file Tools/ChangeLog
Hunk #1 succeeded at 1 with fuzz 3.
patching file Tools/DumpRenderTree/TestOptions.h
Hunk #1 FAILED at 53.
1 out of 1 hunk FAILED -- saving rejects to file Tools/DumpRenderTree/TestOptions.h.rej
patching file Tools/DumpRenderTree/mac/DumpRenderTree.mm
Hunk #1 succeeded at 1008 (offset 2 lines).
patching file Tools/DumpRenderTree/win/DumpRenderTree.cpp
Hunk #1 succeeded at 915 (offset 1 line).

Failed to run "[u'/Volumes/Data/EWS/WebKit/Tools/Scripts/svn-apply', '--force', '--reviewer', u'Ryosuke Niwa']" exit_code: 1 cwd: /Volumes/Data/EWS/WebKit

Full output: https://webkit-queues.webkit.org/results/13306554
Comment 20 Sihui Liu 2020-01-17 16:40:15 PST
Created attachment 388113 [details]
Patch
Comment 21 WebKit Commit Bot 2020-01-21 09:51:51 PST
Comment on attachment 388113 [details]
Patch

Clearing flags on attachment: 388113

Committed r254856: <https://trac.webkit.org/changeset/254856>
Comment 22 WebKit Commit Bot 2020-01-21 09:51:53 PST
All reviewed patches have been landed.  Closing bug.
Comment 23 Radar WebKit Bug Importer 2020-01-21 09:52:18 PST
<rdar://problem/58762402>